﻿using System;
using System.Collections.ObjectModel;

namespace RadTreeViewApp1.ViewModels
{
    public class MainViewModel
    {
        public ObservableCollection<DataItem> Items { get; set; }

        public MainViewModel()
        {
            Items = new ObservableCollection<DataItem>();
            for (int i = 0; i < 5; i++)
            {
                DataItem item = new DataItem { Header = String.Format("Item {0}", i), Selected = i == 1, Expanded = i % 2 == 0 };
                for (int j = 0; j < 5; j++)
                {
                    item.Children.Add(new DataItem { Header = String.Format("Item {0}.{1}", i, j), Expanded = i % 2 == 0 });
                }
                Items.Add(item);
            }
        }
    }
}
